Bug 1745346 - "DNF error: Error in POSTTRANS scriptlet in rpm package kernel-core" installing VM on KVM
Summary: "DNF error: Error in POSTTRANS scriptlet in rpm package kernel-core" installi...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-25 15:19 UTC by Kristian McColm
Modified: 2020-04-30 21:05 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-30 21:05:38 UTC
Type: Bug


Attachments (Terms of Use)
contents of /tmp directory from the VM where the installation failed (8.42 MB, application/gzip)
2019-08-25 15:19 UTC, Kristian McColm
no flags Details

Description Kristian McColm 2019-08-25 15:19:00 UTC
Created attachment 1607868 [details]
contents of /tmp directory from the VM where the installation failed

Description of problem:
When installing FC30 on a KVM virtual machine from the ISO image downloaded at https://download.fedoraproject.org/pub/fedora/linux/releases/30/Server/x86_64/iso/Fedora-Server-dvd-x86_64-30-1.2.iso, I receive the following error:

"DNF error: Error in POSTTRANS scriptlet in rpm package kernel-core"

Version-Release number of selected component (if applicable):
Fedora 30-1.2
Host system is also running Fedora 30 on kernel 5.2.9-200.fc30 and libvirt-daemon-5.1.0-9

How reproducible:
Always

Steps to Reproduce:
1. Create a VM with the following command:

virt-install --name fc30-base-20190818 --vcpus 2 --cpu host --memory 4096 --location /u01/kvm/datastore/iso/Fedora-Server-dvd-x86_64-30-1.2.iso --os-variant fedora29 --disk size=50 --network default --noautoconsole

2. Start the graphical install by running "virt-viewer fc30-base-20190818"
3. Install the VM as follows:
  
- UTC time
- NTP enabled
- Hostname 'fc30-base-20190818'
- Base server package + Guest Agents
- DHCP for interface
- IPv6 Automatic
- Storage:
  - LVM + XFS (vg_root):
    - /boot 1G (non-LVM)
    - /home 4G (lv_home)
    - /opt 4G (lv_opt)
    - /var/log 10G (lv_var_log)
    - /var 20G (lv_var)
    - / rest (11G) (lv_root)
- Set root pass
- No additional user

Actual results:
Install runs OK until "Configuring kernel-core.x86_64" where it dies with the error dialog:

"The following error occurred while installing.  This is a fatal error and installation will be aborted.

DNF error: Error in POSTTRANS scriptlet in rpm package kernel-core"

There are no tracebacks only an "Exit Installer" button.

Expected results:
Install completed successfully

Additional info:
Issue does not occur in the non-graphical installer, i.e. create the VM with the following options:

virt-install --name fc30-base-20190818 --vcpus 2 --cpu host --memory 4096 --location /u01/kvm/datastore/iso/Fedora-Server-dvd-x86_64-30-1.2.iso --os-variant fedora29 --disk size=50 --network default --noautoconsole --extra-args='console=ttyS0'

Comment 1 Vendula Poncova 2019-08-26 10:56:18 UTC
All RPM errors are fatal during the installation (see the bug 1565123). Reassigning to kernel.

Comment 2 Laura Abbott 2019-08-26 12:11:31 UTC
The posttrans script runs the kernel-install which is just a wrapper around dracut. I'd like the dracut team to take the first look.

Comment 4 Romain Chantereau 2019-09-26 14:28:58 UTC
I tried to find out what is happening.

Chrooting in the sysimage I launched the final posttrans script command:
/bin/kernel-install add 4.18.0-80.el8.x86_64 /lib/modules/4.18.0-80.el8.x86_64/vmlinuz

And it ended with error:

Could not determine the kernel command line parameters.
Please specify the kernel command line in /etc/kernel/cmdline!

Related to: https://code.obermui.de/GitHub-Mirror/systemd/commit/88e1306af6380794842fb31108ba67895799fab4

?

Comment 5 Romain Chantereau 2019-09-27 08:15:20 UTC
I think the issue is now fixed upsteam by the commit pointed in previous comment.

In the meantime, the workaround is to add a harmless (useless) extra arg to virt-install, like “--extra-args ro”.

Regards

Comment 6 smitterl 2020-03-20 14:40:48 UTC
(In reply to Romain Chantereau from comment #5)
> I think the issue is now fixed upsteam by the commit pointed in previous
> comment.
> 
> In the meantime, the workaround is to add a harmless (useless) extra arg to
> virt-install, like “--extra-args ro”.
> 
> Regards

Confirmed workaround "--extra-args ro" works, s. https://bugzilla.redhat.com/show_bug.cgi?id=1808696#c11

Comment 7 Ben Cotton 2020-04-30 20:13:59 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.